=== PyBinding/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include $(top_srcdir)/config.make
 
 ifeq ($(CONFIG),DEBUG)
-ASSEMBLY_COMPILER_COMMAND = gmcs
+ASSEMBLY_COMPILER_COMMAND = dmcs
 ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:4 -optimize+ -debug "-define:DEBUG"
 ASSEMBLY = ../build/PyBinding.dll
 ASSEMBLY_MDB = $(ASSEMBLY).mdb
@@ -23,7 +23,7 @@
 endif
 
 ifeq ($(CONFIG),RELEASE)
-ASSEMBLY_COMPILER_COMMAND = gmcs
+ASSEMBLY_COMPILER_COMMAND = dmcs
 ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:4 -optimize+
 ASSEMBLY = ../build/PyBinding.dll
 ASSEMBLY_MDB = 
@@ -90,6 +90,7 @@
 	PyBinding.Runtime/IPythonRuntime.cs \
 	PyBinding.Runtime/Python25Runtime.cs \
 	PyBinding.Runtime/Python26Runtime.cs \
+	PyBinding.Runtime/Python27Runtime.cs \
 	PyBinding/PythonConfiguration.cs \
 	PyBinding/PythonExecutionCommand.cs \
 	PyBinding/PythonExecutionHandler.cs \
