=== debian/changelog ===
monodevelop-python (2.5.92-1) experimental; urgency=low

  * [430b1b5] Add a gbp.conf, so we can easily work in an Experimental branch.
  * [1e04db4] Don't repack the upstream tarball - this isn't the dark ages.
  * [773dd4d] Imported Upstream version 2.5.92
  * [9f37b97] Use DebSrc 3.0's Quilt support, rather than Quilt directly.
  * [7abc6d7] Bump expected version of MonoDevelop to 2.5.92 in autogenerated 
              dependencies.
  * [308e702] Refresh build-dependencies.
  * [d1401d9] Bump Debian Standards Version to 3.9.2.
  * [5c6876b] Remove bizarre Enhances: line.
  * [383162a] Refresh mono-csc patch.

 -- Jo Shields <directhex@apebox.org>  Tue, 28 Jun 2011 19:21:55 +0100

monodevelop-python (2.4-3) experimental; urgency=low

  * [0c96e8c] Add a gbp.conf, as we're building on a non-default branch
  * [88d56d9] Clean up rules rule, thanks to DH's --with quilt
  * [6b6e648] Play with dh_gencontrol manually to allow a mismatch
    between the version of MonoDevelop and the addins.
  * [e0ce316] Cement build-dependencies for debhelper and quilt, to
    avoid Lintian autoreject

 -- Jo Shields <directhex@apebox.org>  Thu, 23 Dec 2010 10:36:13 +0000

monodevelop-python (2.4-2) unstable; urgency=low

  * Upload to Debian Unstable.

 -- Jo Shields <directhex@apebox.org>  Mon, 13 Sep 2010 16:28:40 +0100

monodevelop-python (2.4-1) experimental; urgency=low

  * New upstream release
  * debian/source/format:
    + Force DebSrc 1.0
  * debian/control:
    + Bump MonoDevelop build-dep to 2.4
    + Don't tweak binary version dependency on MonoDevelop
  * debian/rules:
    + Stop using ../tarballs in get-orig-source rule

 -- Jo Shields <directhex@apebox.org>  Thu, 17 Jun 2010 14:02:59 +0100

monodevelop-python (2.2-3) unstable; urgency=low

  * Rebuild against MonoDevelop 2.2.2
  * debian/control:
    + Build-depend on MonoDevelop 2.2.2
    + Tweak binary dependency for MonoDevelop 2.2.2

 -- Jo Shields <directhex@apebox.org>  Fri, 11 Jun 2010 12:41:34 +0100

monodevelop-python (2.2-2) unstable; urgency=low

  * Rebuild against MonoDevelop 2.2.1
  * debian/control:
    + No-change bump to Standards 3.8.4
    + Build-depend on MonoDevelop 2.2.1
    + Tweak binary dependency for MonoDevelop 2.2.1

 -- Jo Shields <directhex@apebox.org>  Fri, 12 Feb 2010 14:06:50 +0000

monodevelop-python (2.2-1) unstable; urgency=low

  * Initial release.

 -- Jo Shields <directhex@apebox.org>  Mon, 11 Jan 2010 14:58:26 +0000
