=== debian/control ===
Source: monodevelop-python
Section: devel
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: cli-common-dev (>= 0.8~),
 mono-devel (>= 2.10),
 monodevelop (>= 2.5.92),
 monodevelop-versioncontrol (>= 2.5.92),
 monodevelop-nunit (>= 2.5.92),
 libgtk2.0-cil-dev,
 libmono-addins-cil-dev
Standards-Version: 3.9.2
Homepage: http://www.monodevelop.com/
Vcs-Git: git://git.debian.org/git/pkg-cli-apps/packages/monodevelop-python.git
Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/monodevelop-python.git

Package: monodevelop-python
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         monodevelop (>= ${misc:Version}),
         monodevelop (<< ${misc:Version}.),
Description: Python plugin for MonoDevelop
 MonoDevelop is a GNOME IDE primarily designed for C# and other CLI (.NET)
 languages.
 .
 This package enables Python language support for MonoDevelop.
