=== debian/watch ===
version=2
opts=dversionmangle=s/\+dfsg// \
	http://ftp.novell.com/pub/mono/sources/monodevelop-python/monodevelop-python-([\d\.]+)\.tar\.bz2
