## monodevelop-python 2.6

=== debian/changelog ===
monodevelop-python (2.6-1) experimental; urgency=low

  * [bbf3c42] Update debian/watch for Xamarin-hosted source.
  * [f8d097d] Imported Upstream version 2.6
  * [2c7497f] Bump build dependencies

 -- Jo Shields <directhex@apebox.org>  Mon, 12 Sep 2011 17:55:37 +0100
