=== debian/watch ===
version=2
opts=dversionmangle=s/\+dfsg// \
	http://download.mono-project.com/sources/monodevelop-python/monodevelop-python-([\d\.]+)\.tar\.gz
