## monodevelop-python 2.8.2

=== debian/changelog ===
monodevelop-python (2.8.2-1) experimental; urgency=low

  * [5bb250b] Switch to using bz2 from upstream, not gz.
  * [bc614e0] Imported Upstream version 2.8.2
  * [e6e9cfb] Switch dependencies to MonoDevelop 2.8.2.
  * [ebe5959] Switch build-dependencies to MonoDevelop 2.8.2.

 -- Jo Shields <directhex@apebox.org>  Thu, 10 Nov 2011 17:51:45 +0000
