## monodevelop-python 2.8.5

=== debian/changelog ===
monodevelop-python (2.8.5-2) unstable; urgency=low

  * [2a8ef6b] Remove gbp.conf since we're using master branch now
  * [9379f51] Update debian/rules for DH8-compatible "--with cli"

 -- Jo Shields <directhex@apebox.org>  Fri, 20 Jan 2012 10:47:16 +0000

monodevelop-python (2.8.5-1) experimental; urgency=low

  * [f01ffb0] Imported Upstream version 2.8.5
  * [4c198cf] Bump build dependencies to MonoDevelop 2.8.5.
  * [26c2ea2] Bump binary dependencies to MonoDevelop 2.8.5.

 -- Jo Shields <directhex@apebox.org>  Mon, 19 Dec 2011 16:04:20 +0000
