## monodevelop-python 2.8.6.3

=== Makefile ===
--- 
+++ 
@@ -56,7 +56,6 @@
 		esac \
 	done
 	(make dist-local distdir=$(PACKAGE)-$(VERSION))
-	make
 	make post-dist-hook "distsir=$$distdir"
 	tar czvf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
 	rm -rf $(PACKAGE)-$(VERSION)
