=== debian/changelog ===
monodevelop-python (2.8.6.3-1) unstable; urgency=low

  * [ff0b2e4] Imported Upstream version 2.8.6.3
  * [57c7787] Bump Monodevelop version requirements to 2.8.6.3

 -- Jo Shields <directhex@apebox.org>  Sun, 05 Feb 2012 11:38:37 +0100
