=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
  mono-devel (>= 2.10),
- monodevelop (>= 2.8.5),
- monodevelop-versioncontrol (>= 2.8.5),
- monodevelop-nunit (>= 2.8.5),
+ monodevelop (>= 2.8.6.3),
+ monodevelop-versioncontrol (>= 2.8.6.3),
+ monodevelop-nunit (>= 2.8.6.3),
  libgtk2.0-cil-dev,
  libmono-addins-cil-dev
 Standards-Version: 3.9.2
